[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TScaledImageListResolution.Valid

Indicates if the source resolution is assigned for the class instance.

## Declaration

Source position: imglist.pp line 220

`public property TScaledImageListResolution.Valid : Boolean read GetValid;`

## Description

Valid is a read-only Boolean property that indicates if the source image resolution for the class instance has been assigned. Valid ensures that the TCustomImageListResolution instance passed to the class constructor contains an assigned class instance and not the value Nil.